<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Budget Portion</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">

</section>

<section layout:fragment="main" class="content">
  <div class="row">

    <div class="col-md-6">
      <div class="callout callout-warning">
        <h4 th:text="${'Department : ' + anggaranDetail.getAnggaran().getDepartemen().getNamaDepartemen()}">I am an info callout!</h4>
        <p th:text="${'Budget Code : ' + anggaranDetail.getAnggaran().getKodeAnggaran()}">Follow the steps to continue to payment.</p>
        <p th:text="${'Budget Name : ' + anggaranDetail.getAnggaran().getNamaAnggaran()}">Follow the steps to continue to payment.</p>
        <p th:text="${'Description : ' + anggaranDetail.getDeskripsi()}">Follow the steps to continue to payment.</p>
      </div>

      <!-- Horizontal Form -->
      <div class="box box-info">
        <div class="box-header with-border">
          <h3 class="box-title">Form Budget Portion</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form class="form-horizontal" th:action="@{/setting/anggaran/porsi/save(anggaranDetail=${anggaranDetail.getId()})}" th:object="${anggaranDetailPorsi}" method="post">
          <div class="box-body">

            <div class="form-group">
              <label for="departemen" class="col-sm-2 control-label">Department</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="departemen" th:field="*{departemen}" id="departemen" style="width: 100%;">
                  <option th:each="data : ${listDepartemen}"
                          th:text="${'('+ data.kodeDepartemen +')'  + '       -       ' +  data.namaDepartemen}"
                          th:value="${data.id}">sdasd</option>
                </select>
              </div>
            </div>

            <div class="form-group">
              <label for="persentasePorsi" class="col-sm-2 control-label">Percentage Portion %</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{persentasePorsi}" name="persentasePorsi" id="persentasePorsi" placeholder="Percentage Portion %" required>
                <p th:if="${persentaseEror != null}" th:text="${persentaseEror}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="tanggalBerlakuString"  class="col-sm-2 control-label">Tanggal Berlaku</label>
              <div class="col-sm-10">

                <div class="input-group date">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                  <input type="text" class="form-control pull-right" id="tanggalBerlakuString" th:field="*{tanggalBerlakuString}" name="tanggalBerlakuString" placeholder="MM/dd/yyyy">
                </div>
                <!--                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">-->

                <p th:if="${#fields.hasErrors('tanggalBerlakuString')}" th:errors="*{tanggalBerlakuString}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <input type="hidden" name="id" th:field="*{id}">
          </div>
          <!-- /.box-body -->
          <div class="box-footer">

            <a th:href="@{/setting/anggaran/porsi}" class="btn btn-default">Cancel</a>
            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

          </div>
          <!-- /.box-footer -->
        </form>
      </div>
    </div>
  </div>
</section>

<section layout:fragment="footer" class="script">>
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#tanggalBerlakuString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>